'use strict';

var _cliHelpers = require('../cli-helpers');

var _html = require('../html');

var _svg = require('../svg');

var _match = require('../match');

/**
 * @fileoverview Entry point of Sophisticate
 * @author Frédéric Maquin <fred@ephread.com>
 */

var argv = (0, _cliHelpers.parseArgs)();

if (argv._[0] === 'svg') {
  argv._.shift();
  (0, _svg.sophisticateSVG)(argv);
} else if (argv._[0] === 'html') {
  argv._.shift();
  (0, _html.sophisticateHTML)(argv);
} else if (argv._[0] === 'match') {
  argv._.shift();
  (0, _match.match)(argv);
} else {
  console.log('Unknown command \'' + argv._[0] + '\'.');
}