'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sophisticateSVG = sophisticateSVG;

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _inlineSvg = require('./inline-svg');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// ----------------------------------------------------------------------------
// Public
// ----------------------------------------------------------------------------

/**
 * sophisticateSVG - Sophisticate the SVG files.
 *
 * @param {type} argv parsed command line arguments.
 */
/**
 * @fileoverview Sophisticate the SVG files.
 * @author Frédéric Maquin <fred@ephread.com>
 */

// ----------------------------------------------------------------------------
// Requirements
// ----------------------------------------------------------------------------

function sophisticateSVG(argv) {
  console.log('Processing files…');
  var _iteratorNormalCompletion = true;
  var _didIteratorError = false;
  var _iteratorError = undefined;

  try {
    var _loop = function _loop() {
      var path = _step.value;

      (0, _inlineSvg.processSVG)(path, argv.c, function (result) {
        var filename = argv.c + '/sophisticated_' + _path2.default.basename(path);

        _fs2.default.writeFile(filename, result.data, function (err) {
          if (err) {
            console.log('[' + _chalk2.default.red('ERROR') + '] Couldn\'t write processed SVG file - ' + err.message);
            process.exit(1);
          } else {
            console.log(_chalk2.default.green('DONE!') + ' - Output: ' + filename + '\n');
          }
        });
      });
    };

    for (var _iterator = argv._[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
      _loop();
    }
  } catch (err) {
    _didIteratorError = true;
    _iteratorError = err;
  } finally {
    try {
      if (!_iteratorNormalCompletion && _iterator.return) {
        _iterator.return();
      }
    } finally {
      if (_didIteratorError) {
        throw _iteratorError;
      }
    }
  }
}